org.eclipse.net4j.util.security

## Class NegotiationContext

- java.lang.Object
- - org.eclipse.net4j.util.security.NegotiationContext

- All Implemented Interfaces:
    INegotiationContext

      public abstract class NegotiationContext
      extends java.lang.Object
      implements INegotiationContext

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.INegotiationContext

      `INegotiationContext.Receiver`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.util.security.INegotiationContext

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegotiationContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getInfo()`
    `INegotiationContext.Receiver` | `getReceiver()`
    `java.lang.Enum<?>` | `getState()`
    `void` | `setFinished(boolean success)`
    `void` | `setInfo(java.lang.Object info)`
    `void` | `setReceiver(INegotiationContext.Receiver receiver)`
    `void` | `setState(java.lang.Enum<?> state)`
    `java.lang.Enum<?>` | `waitUntilFinished(long timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.INegotiationContext

      `getBuffer, setUserID, transmitBuffer`

- - ### Constructor Detail

    - #### NegotiationContext

          public NegotiationContext()

  - ### Method Detail

    - #### getReceiver

          public INegotiationContext.Receiver getReceiver()

      Specified by:
        `getReceiver` in interface `INegotiationContext`

    - #### setReceiver

          public void setReceiver(INegotiationContext.Receiver receiver)

      Specified by:
        `setReceiver` in interface `INegotiationContext`

    - #### getState

          public java.lang.Enum<?> getState()

      Specified by:
        `getState` in interface `INegotiationContext`

    - #### setState

          public void setState(java.lang.Enum<?> state)

      Specified by:
        `setState` in interface `INegotiationContext`

    - #### getInfo

          public java.lang.Object getInfo()

      Specified by:
        `getInfo` in interface `INegotiationContext`

    - #### setInfo

          public void setInfo(java.lang.Object info)

      Specified by:
        `setInfo` in interface `INegotiationContext`

    - #### setFinished

          public void setFinished(boolean success)

      Specified by:
        `setFinished` in interface `INegotiationContext`

    - #### waitUntilFinished

          public java.lang.Enum<?> waitUntilFinished(long timeout)

      Specified by:
        `waitUntilFinished` in interface `INegotiationContext`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html